%define fname church
%define texmf_dir %_datadir/texmf
%define prefix %texmf_dir
%define fontsbase public/%fname
%define texpackname hiptex

Name: hiptex
Version: 0.5.0
Release: alt1

Summary: Using Church Slavonic fonts in TeX
Summary(ru_RU.KOI8-R):  -   TeX
License: LPPL
Group: Publishing
Url: http://orthlib.narod.ru/hip/hiptex.html
Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch

Source0: %name.tar.bz2

AutoReq: yes, perl
PreReq: tetex-core >= 2.0-alt0.8, fonts-cm-super-tex-dvips

#Requires: church-fonts

BuildRequires: tetex-latex >= 2.0-alt0.8, tetex-dvips, fonts-cm-super-tex-dvips
BuildRequires: tetex-afm

%package doc
Summary: Documentation for usage of %name
Summary(ru_RU.KOI8-R):    %name
Group: Publishing
Requires: tetex-latex >= 2.0, %name = %version-%release

%description
Hiptex class for using Church Slavonic fonts in TeX/LaTeX

%description -l ru_RU.KOI8-R
 %name,  
-   TeX. 
   .

%description doc
Documentation for usage of %name

%description doc -l ru_RU.KOI8-R
   %name

%prep
%setup -n %name

%build

%install

%__mkdir -p %buildroot%texmf_dir
%__cp -Rd * %buildroot%texmf_dir/
%__mkdir -p %buildroot%_sysconfdir/tex-fonts.d
echo "Map izhitsacs.map" > %buildroot%_sysconfdir/tex-fonts.d/%name.cfg

%post
if [ $1 = 1 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
    [ -x /usr/bin/updmap ] && /usr/bin/updmap 2>/dev/null ||:
fi

%postun
if [ $1 = 0 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
    [ -x /usr/bin/updmap ] && /usr/bin/updmap 2>/dev/null ||:
fi


%post doc
if [ $1 = 1 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
fi

%postun doc
if [ $1 = 0 ] ; then
    [ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:
fi

%files doc
%dir %texmf_dir/doc/%texpackname
%texmf_dir/doc/%texpackname/*

%files
%_sysconfdir/tex-fonts.d/%name.cfg
#%texmf_dir/dvipdfm/*
%texmf_dir/dvips/config/*
%texmf_dir/dvips/base/*
%dir %texmf_dir/fonts/tfm/%fontsbase
%texmf_dir/fonts/tfm/%fontsbase/*
%dir %texmf_dir/fonts/type1/%fontsbase
%texmf_dir/fonts/type1/%fontsbase/*
%dir %texmf_dir/tex/latex/%texpackname
%texmf_dir/tex/latex/%texpackname/*
#%doc README
%doc LICENSE
%dir %texmf_dir/fonts/afm/%fontsbase
%texmf_dir/fonts/afm/%fontsbase/*

%changelog
* Fri Apr 04 2003 Vitaly Lipatov <lav@altlinux.ru> 0.5.0-alt1
- first release for ALT Linux Sisyphus
- Warning! It released with error with dvi to ps conversion :(

